Bug 1891087 (CVE-2020-27670) - CVE-2020-27670 xen: unsafe AMD IOMMU page table updates (XSA-347)
Summary: CVE-2020-27670 xen: unsafe AMD IOMMU page table updates (XSA-347)
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2020-27670
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1891088
Blocks: 1891100
TreeView+ depends on / blocked
 
Reported: 2020-10-23 18:41 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-16 19:01 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Xen in the AMD IOMMU page table updates. This flaw allows a malicious guest to cause a denial of service, host data corruption, or potential privilege escalation. The highest threat from this vulnerability is to confidentiality, integrity, as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-11-02 20:21:15 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-10-23 18:41:25 UTC
An issue was discovered in all versions of Xen allowing x86 guest OS users to cause a denial of service (data corruption), cause a data leak, or possibly gain privileges because an AMD IOMMU page-table entry can be half-updated.

Comment 1 Guilherme de Almeida Suckevicz 2020-10-23 18:41:41 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1891088]

Comment 2 Mauro Matteo Cascella 2020-11-02 14:37:34 UTC
Acknowledgments:

Name: the Xen project

Comment 3 Mauro Matteo Cascella 2020-11-02 14:40:19 UTC
External References:

https://xenbits.xen.org/xsa/advisory-347.html

Comment 5 Product Security DevOps Team 2020-11-02 20:21:15 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-27670

Comment 7 Mauro Matteo Cascella 2020-11-03 11:22:36 UTC
Mitigation:

Avoid passing through physical devices to untrusted guests.

Comment 8 RaTasha Tillery-Smith 2020-12-17 13:29:44 UTC
Statement:

This flaw has been rated as having a security impact of Moderate, and is not currently planned to be addressed in future updates of Red Hat Enterprise Linux 5. Red Hat Enterprise Linux 5 is now in the Extended Life Phase of the support and maintenance life cycle. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.